import axios from 'axios'

export default {
  namespaced: true,
  state: {
    restaurants: [],
    restaurant: {}
  },
  mutations: {
    setRestaurants(state, restaurants) {
      state.restaurants = restaurants
    }
  },
  getters: {},
  actions: {
    getRestaurants({
      commit
    }) {
      axios
        .get('/api/restaurant/getrestaurants')
        .then(result => commit("setRestaurants", result.data))
    }
  }
}
